// The libMesh Finite Element Library.
// Copyright (C) 2002-2012 Benjamin S. Kirk, John W. Peterson, Roy H. Stogner

// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef __libmesh_version_h__
#define __libmesh_version_h__

#define LIBMESH_MAJOR_VERSION  0
#define LIBMESH_MINOR_VERSION  8
#define LIBMESH_MICRO_VERSION  0

#define LIBMESH_BUILD_USER     "builder"
#define LIBMESH_BUILD_ARCH     "x86_64-alt-linux-gnu"
#define LIBMESH_BUILD_HOST     "localhost.localdomain"
#define LIBMESH_BUILD_DATE     "2013-02-10 18:50"
#define LIBMESH_BUILD_VERSION  ""

#define LIBMESH_LIB_VERSION    "0.8.0"
#define LIBMESH_LIB_RELEASE    "External Release"

#define LIBMESH_CXX            "mpicxx"
#define LIBMESH_CXXFLAGS       "-pipe -Wall -g -O2 -DOMPI_IGNORE_CXX_SEEK -DHAVE_NOX -I/usr/include/exodusii"

#include <iostream>
#include <iomanip>

namespace libMesh
{
  void libmesh_version_stdout();
  int  get_libmesh_version();
}


#endif
